#define			SPRITEHEIGHT			 32
#define			SPRITEWIDTH				 32
#define			SPACEXMIN				 0
#define			SPACEXMAX				 640
#define			SPACEYMIN				 12
#define			SPACEYMAX				 584
#define 		MAXMATRIXX				 20
#define			MAXMATRIXY			     18
#define			NUMFRAMESOBJECTS		 8
#define			APPTITLE				 "Paz-Man"
#define			MAXMOVE					 32
#define			MOVEPHANTOMS			 32
#define			SCOREBALL				 10
#define			SCOREPHANTOM			 200	

//************		PROTOTIPI      ************//

VOID MainMenu();
VOID GameOver();
bool CollisionPacPhantomsControl();

//************		PROTOTIPI      ************//

int menu = 0;

struct SPRITE_STRUCT
{
    long fposx; 
    long fposy;
};

struct CELL
{
	SPRITE_STRUCT	sprite;
	CSurface*		surface;
	long			nframe;
	bool			collisione;
	bool			visibilita;
};

struct PACMAN
{
	SPRITE_STRUCT pos;
	long position;
	bool turno;
	long poscellx;
	long poscelly;
	CSurface* surface;
};

struct PHANTOM
{
	SPRITE_STRUCT pos;
    long nframe;
	long poscellx;
	long poscelly;
	CSurface* surface;
};

PHANTOM		phantom[4];
PACMAN		pac;
CDisplay*	window;
CSurface*	s_punti;
CSurface*	title;
CELL		matrixlevel[MAXMATRIXX][MAXMATRIXY];
LPDIRECTDRAWSURFACE			text;
BOOL vulnerability = false;
BOOL pausedgame = false;
BOOL endgame = false;
BOOL phantomcaught[4];
long points = 0;
long ball_catch = 0;

VOID GameOver()
{
	InsertText(text,"GAME OVER",RGB(0,0,0),RGB(255,255,255),200,300,window,40,0,0,0,TRUE,FALSE,FALSE,FALSE,DEFAULT_CHARSET,OUT_DEFAULT_PRECIS,CLIP_DEFAULT_PRECIS,DEFAULT_QUALITY,DEFAULT_PITCH,"VERDANA");
	points = 0;
}

bool CollisionPacPhantomsControl(int i)
{
	if ((pac.poscellx==phantom[i].poscellx) && (pac.poscelly==phantom[i].poscelly))
	{
		if(!vulnerability)
		{
			endgame = true;
			return true;
		}
		else
		{
			if (!phantomcaught[i])
			{
				phantomcaught[i] = true;
				points += 200;
			}
			return false;
		}
	}
	return false;
}

VOID InitMainMenu()
{
	window->CreateSurfaceFromBitmap(&title,"image/title.bmp",356,77);
	title->SetColorKey(0);
}

VOID MainMenu()
{
	window->Blt(230,30,title,NULL);
	InsertText(text,"PRESS 'SPACE' TO START",RGB(0,0,0),RGB(255,255,255),170,300,window,40,0,0,0,FALSE,FALSE,FALSE,FALSE,DEFAULT_CHARSET,OUT_DEFAULT_PRECIS,CLIP_DEFAULT_PRECIS,DEFAULT_QUALITY,DEFAULT_PITCH,"VERDANA");
	InsertText(text,"PRODUCED BY: La Scala Giuseppe - Copyright 2004 - All Rights Reserved",RGB(0,0,0),RGB(255,255,255),155,500,window,14,0,0,0,FALSE,FALSE,FALSE,FALSE,DEFAULT_CHARSET,OUT_DEFAULT_PRECIS,CLIP_DEFAULT_PRECIS,DEFAULT_QUALITY,DEFAULT_PITCH,"VERDANA");
}