#define	NUMFRAMESPAC	 5

RECT			framepacman[NUMFRAMESPAC];
//************		PROTOTIPI      ************//

VOID InitArrayPacMan();
VOID InitPacMan();
VOID BltPacMan();

//************		PROTOTIPI      ************//

VOID InitArrayPacMan()
{
	long i;
  for(i=0; i<NUMFRAMESPAC;i++)
  {
      framepacman[i].top    = (i / NUMFRAMESPAC) * SPRITEHEIGHT;
      framepacman[i].left   = (i % NUMFRAMESPAC) * SPRITEWIDTH;

      framepacman[i].bottom = framepacman[i].top  + SPRITEHEIGHT;
      framepacman[i].right  = framepacman[i].left + SPRITEWIDTH;
  }
}

VOID InitPacMan()
{
	InitArrayPacMan();
	pac.position =0;
	pac.turno=FALSE;
	pac.poscellx=9;
	pac.poscelly=9;
	window->CreateSurfaceFromBitmap(&pac.surface,"image/pac.bmp",SPRITEWIDTH*NUMFRAMESPAC,SPRITEHEIGHT);
	pac.surface->SetColorKey(0);
	pac.pos.fposx = (SPRITEWIDTH * pac.poscellx) + SPACEXMIN;
	pac.pos.fposy = (SPRITEHEIGHT * pac.poscelly) + SPACEYMIN;
}

VOID BltPacMan()
{
	if (pac.turno)
	 window->Blt((DWORD)pac.pos.fposx,(DWORD)pac.pos.fposy,pac.surface,&framepacman[pac.position]);
	else
	 window->Blt((DWORD)pac.pos.fposx,(DWORD)pac.pos.fposy,pac.surface,&framepacman[0]);
}
